
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - pcmtools
%define	copy	GPL
%define	name	cpm4l-pcmtools
%define	version	20050419
%define	release	20050424

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Emulators
Icon:		cpm4l.xpm
ExclusiveOS:	linux
Provides:	mkzg.vid2k
Requires:	cpm4l-base >= 0.1
#Conflicts:	??? <= ???
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	pcmtools-%{version}.tar.gz
Source10:	http://www.funet.fi/pub/msx/othersys/lha-pma-2.tar.gz
Patch10:	lha-pma-2-fixes.patch.gz

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe there will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



This package is a collaction of some usefull tools around the self made
hardware project PC/M - a CP/M like Personal Computer based on the good
old Z80 CPU by Zilog. Currently it contains:

  * mkzg.6416,
    mkzg.vid2k - convert one or more pixmaps into special hexdumps
                 then you can convert to a flat binary with xxd (vim)

  * lha        - the good known LHa archiver with a special extension
                 to extract PMarc archieves (file suffix *.PAM)

%prep
%setup -q -n pcmtools-%{version} -a 10
%patch10 -p0

# CPM4L-zification for bug reports
perl -pi -e '/^ VERSION=/ and s/(%{version}).*$/"\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)"/;' \
	configure

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%configure
%make all
pushd data/ZG_6416
PATH=../..:$PATH make
popd
pushd data/ZG_VID2K
PATH=../..:$PATH make
popd
pushd lha-pma-2
make all
popd

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/mann
make -C lha-pma-2 BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} install
# documentations
for i in README COPYING INSTALL NEWS; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/pcmtools-%{version}/$i; done
for i in lha-pma-2/README.Linux lha-pma-2/README.PMA lha-pma-2/readme.eng lha-pma-2/config.eng; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/pcmtools-%{version}/$i; done
# remove japanese man page
rm -rf $RPM_BUILD_ROOT%{_mandir}
# setup pma link
ln -s lha $RPM_BUILD_ROOT%{_bindir}/pma

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}/pcmtools
%dir %{_docdir}/pcmtools-%{version}
%doc %{_docdir}/pcmtools-%{version}/*

%changelog
* Sun Apr 24 2005 Stephan Linz <linz@li-pro.net>
- added the special PMA LHa version by Maarten ter Huurne

* Thu Apr 19 2005 Stephan Linz <linz@li-pro.net>
- upgrade to version 20050419

* Sun Apr 17 2005 Stephan Linz <linz@li-pro.net>
- RPM review and rebuild
- upgrade to version 20050417

* Sun Apr 06 2003 Stephan Linz <linz@li-pro.net>
- change to latest version

* Fri Mar 28 2003 Stephan Linz <linz@li-pro.net>
- initial version
